summaryrefslogtreecommitdiff
path: root/profiles/prefix/windows
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-04-05 21:17:31 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-04-05 21:17:31 +0100
commitdc7cbdfa65fd814b3b9aa3c56257da201109e807 (patch)
treec85d72f6f31f21f178069c9d41d41a7c1ff4b362 /profiles/prefix/windows
parent0706fc6986773f4e4d391deff4ad5143c464ea4e (diff)
gentoo resync : 05.04.2019
Diffstat (limited to 'profiles/prefix/windows')
-rw-r--r--profiles/prefix/windows/cygwin/package.mask2
-rw-r--r--profiles/prefix/windows/cygwin/package.unmask2
-rw-r--r--profiles/prefix/windows/cygwin/use.mask3
-rw-r--r--profiles/prefix/windows/winnt/profile.bashrc121
4 files changed, 3 insertions, 125 deletions
diff --git a/profiles/prefix/windows/cygwin/package.mask b/profiles/prefix/windows/cygwin/package.mask
index d0fd04c4259b..b5df9c12c3a3 100644
--- a/profiles/prefix/windows/cygwin/package.mask
+++ b/profiles/prefix/windows/cygwin/package.mask
@@ -1,7 +1,7 @@
# Copyright 1999-2019 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# Michael Haubenwallner <haubi@gentoo.org> (27 Feb 2020)
+# Michael Haubenwallner <haubi@gentoo.org> (27 Feb 2019)
# Cygwin does not provide this new version yet in it's repo.
>=sys-devel/gcc-7.4
diff --git a/profiles/prefix/windows/cygwin/package.unmask b/profiles/prefix/windows/cygwin/package.unmask
index d66d4bab16cd..f385520e77e0 100644
--- a/profiles/prefix/windows/cygwin/package.unmask
+++ b/profiles/prefix/windows/cygwin/package.unmask
@@ -3,4 +3,4 @@
# Michael Haubenwallner <haubi@gentoo.org> (13 Feb 2019)
# A little less broken on Cygwin than openssl-1.1.0j.
-~dev-libs/openssl-1.1.1a
+=dev-libs/openssl-1.1.1*
diff --git a/profiles/prefix/windows/cygwin/use.mask b/profiles/prefix/windows/cygwin/use.mask
index a443b8e0a5e2..392ef405f2e6 100644
--- a/profiles/prefix/windows/cygwin/use.mask
+++ b/profiles/prefix/windows/cygwin/use.mask
@@ -1,10 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Re-add Cygwin's libc
-elibc_Cygwin
# we do have only python-3.6 ready on cygwin
-python_targets_python3_4
python_targets_python3_5
python_targets_python3_7
diff --git a/profiles/prefix/windows/winnt/profile.bashrc b/profiles/prefix/windows/winnt/profile.bashrc
index 7d1251609c0f..3c12c6519673 100644
--- a/profiles/prefix/windows/winnt/profile.bashrc
+++ b/profiles/prefix/windows/winnt/profile.bashrc
@@ -27,69 +27,6 @@ windows_setup_dllhelper() {
esac
}
-windows_cleanup_removed_files() {
- local removedlist=$1
- rm -f "${removedlist}".new
-
- if [[ -r ${removedlist} ]]; then
- rm -f "${removedlist}".old
- fi
- # restore in case of system fault
- if [[ -r ${removedlist}.old ]]; then
- mv "${removedlist}"{.old,}
- fi
-
- touch "${removedlist}"{,.new} # ensure they exist
-
- while read rmstem; do
- # try to remove previously recorded files
- for f in "${ROOT}${rmstem}"*; do
- ebegin "trying to remove ${f}"
- rm -f "${f}" > /dev/null 2>&1
- eend $?
- done
- # but keep it in list if still exists
- for f in "${ROOT}${rmstem}"*; do
- [[ -f ${f} ]] && echo "${rmstem}" >> "${removedlist}".new
- break
- done
- done < "${removedlist}"
-
- # update the list
- mv "${removedlist}"{,.old}
- mv "${removedlist}"{.new,}
- rm "${removedlist}".old
-}
-
-windows_find_removed_slot() {
- local f=$1
- local n=0
- while [[ ${n} -lt 100 && -f "${f}${n}" ]]; do
- n=$((n=n+1))
- done
-
- if [[ ${n} -ge 100 ]]; then
- echo "too many (>=100) old text files busy of '${f}'" >&2
- exit 1
- fi
-
- echo $n
-}
-
-windows_prepare_file() {
- local failed=0
- my_mv=mv
-
- [[ "${1}" == */mv ]] && my_mv="${1}.new"
- [[ -f "${1}.new" ]] && rm -f "${1}.new"
-
- cp -p "${1}" "${1}.new" || failed=1
- ${my_mv} "${1}" "${2}" || failed=1
- ${my_mv} "${1}.new" "${1}" || failed=1
-
- echo $failed
-}
-
post_src_install() {
cd "${ED}"
find . -name '*.exe' -o -name '*.dll.a' -o -name '*.so' |
@@ -125,64 +62,6 @@ post_src_install() {
done
}
-post_pkg_preinst() {
- local removedlist="${EROOT}var/lib/portage/files2bremoved"
- windows_cleanup_removed_files $removedlist
-
- # now go for current package
- cd "${D}"
- find ".${EROOT}" -type f | xargs -r /usr/bin/file | grep ' PE ' | while read f t
- do
- f=${f#./} # find prints: "./path/to/file"
- f=${f%:} # file prints: "file-argument: type-of-file"
- test -r "${ROOT}${f}" || continue
- rmstem="${f}.removedbyportage"
- # keep list of old busy text files unique
- grep "^${rmstem}$" "${removedlist}" >/dev/null \
- || echo "${rmstem}" >> "${removedlist}"
-
- local n=$(windows_find_removed_slot ${ROOT}${rmstem})
- ebegin "backing up text file ${ROOT}${f} (${n})"
- eend $(windows_prepare_file "${ROOT}${f}" "${ROOT}${rmstem}${n}")
- done
-}
-
-post_pkg_prerm() {
- local removedlist="${EROOT}var/lib/portage/files2bremoved"
- save_IFS=$IFS
- IFS='
-';
- local MY_PR=${PR}
- [[ ${MY_PR} == r0 ]] && MY_PR=
- local -a contents=($(<"${EROOT}var/db/pkg/${CATEGORY}/${P}${MY_PR:+-}${MY_PR}/CONTENTS"));
- IFS=$save_IFS
- local -a cont
- for content in "${contents[@]}"; do
- cont=($content)
- f=${cont[1]}
- f=${f#/}
-
- test -r "${ROOT}${f}" || continue
-
- if /usr/bin/file "${ROOT}${f}" | grep ' PE ' > /dev/null; then
- # $f should be an absolute path to the installed file
- rmstem="${f}.removedbyportage"
-
- grep "^${rmstem}$" "${removedlist}" > /dev/null \
- || echo "${rmstem}" >> "${removedlist}"
-
- local n=$(windows_find_removed_slot ${ROOT}${rmstem})
- ebegin "preparing ${ROOT}${f} for unmerge ($n)"
- eend $(windows_prepare_file "${ROOT}${f}" "${ROOT}${rmstem}${n}")
- fi
- done
-}
-
-pre_pkg_postrm() {
- local removedlist="${EROOT}var/lib/portage/files2bremoved"
- windows_cleanup_removed_files $removedlist
-}
-
windows_setup_dllhelper_cp() {
if ! [[ $(type -P cp) -ef ${T}/dllhelper/cp ]]
then